#
# spec file for package ktouch
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ktouch
Version:        16.08.1
Release:        0
Summary:        Touch Typing Tutor
License:        GPL-2.0+
Group:          Amusements/Teaching/Other
Url:            http://edu.kde.org
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  libkde4-devel
BuildRequires:  xz
Provides:       kde4-ktouch = 4.3.0
Obsoletes:      kde4-ktouch < 4.3.0
# Runtime dep
Requires:       kqtquickcharts >= %{version}
Requires:       libqt4-sql-sqlite
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
A KDE program that helps you to learn and practice touch typing.

%prep
%setup -q

%build
%ifarch ppc ppc64
export RPM_OPT_FLAGS="%{optflags} -mminimal-toc"
%endif
  %cmake_kde4 -d build
  %make_jobs

%install
  %kde4_makeinstall -C build
  %suse_update_desktop_file %{name}       X-KDE-Edu-Teaching
  %kde_post_install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* README
%dir %{_kde4_datadir}/appdata
%doc %lang(en) %{_kde4_htmldir}/en/ktouch/
%{_kde4_applicationsdir}/ktouch.desktop
%{_kde4_appsdir}/ktouch/
%{_kde4_bindir}/ktouch
%{_kde4_configkcfgdir}/ktouch.kcfg
%{_kde4_datadir}/appdata/ktouch.appdata.xml
%{_kde4_iconsdir}/hicolor/*/apps/ktouch.*
%{_kde4_mandir}/man1/ktouch.1.gz

%changelog
